package com.zanxiang.game.platform.serve.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.platform.serve.dao.mapper.PlatformDeYangOrderMapper;
import com.zanxiang.game.platform.serve.pojo.dto.PlatformDeYangOrderDTO;
import com.zanxiang.game.platform.serve.pojo.entity.PlatformDeYangOrder;
import com.zanxiang.game.platform.serve.service.IPlatformDeYangOrderService;
import com.zanxiang.module.util.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.logging.log4j.util.Strings;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬订单
 */
@Slf4j
@Service
public class PlatformDeYangOrderServiceImpl extends ServiceImpl<PlatformDeYangOrderMapper, PlatformDeYangOrder> implements IPlatformDeYangOrderService {

    @Override
    public Boolean addOrUpdate(PlatformDeYangOrderDTO orderDTO) {
        return super.saveOrUpdate(PlatformDeYangOrder.builder()
                .orderId(orderDTO.getOrderid())
                .uid(orderDTO.getUid())
                .mpOpenId(orderDTO.getWecha_id())
                .gameName(orderDTO.getGame_name())
                .payStatus(orderDTO.getPay_status())
                .price(orderDTO.getPrice())
                .addTime(orderDTO.getAddtime() == null ? null : DateUtil.secondToLocalDateTime(orderDTO.getAddtime()))
                .payType(orderDTO.getPay_type())
                .payTime(Strings.isBlank(orderDTO.getPay_time()) ? null : DateUtil.parseLocalDateTime(orderDTO.getPay_time()))
                .roleName(orderDTO.getRole_name())
                .roleArea(orderDTO.getRole_area())
                .tunnelId(orderDTO.getTunnel_id())
                .productName(orderDTO.getProduct_name())
                .touFangBack(orderDTO.getToufang_back())
                .build());
    }
}
